<?php
/**
 * Theme Customizer Controls
 *
 * @package Home Shifting Services
 */

if ( ! function_exists( 'home_shifting_services_customizer_general_setting_register' ) ) :
function home_shifting_services_customizer_general_setting_register( $wp_customize ) {
 
 	$wp_customize->add_section(
        'home_shifting_services_general_settings',
        array (
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'General Settings', 'home-shifting-services' )
        )
    );

 	// Add general Panel for preloader and scrolltop
    $wp_customize->add_panel(
        'home_shifting_services_general_settings_panel',
        array(
            'priority'      => 30,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'General Settings', 'home-shifting-services' ),
        )
    );

    // Section preloader
    $wp_customize->add_section(
        'home_shifting_services_prelodr_settings',
        array(
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Preloader', 'home-shifting-services' ),
            'panel'         => 'home_shifting_services_general_settings_panel',
        )
    );

    // Title label
	$wp_customize->add_setting( 
		'home_shifting_services_preloader_settings', 
		array(
		    'sanitize_callback' => 'home_shifting_services_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Home_Shifting_Services_Title_Info_Control( $wp_customize, 'home_shifting_services_preloader_settings', 
		array(
		    'label'       => esc_html__( 'Preloader Settings', 'home-shifting-services' ),
		    'section'     => 'home_shifting_services_prelodr_settings',
		    'type'        => 'home-shifting-services-title',
		    'settings'    => 'home_shifting_services_preloader_settings',
		) 
	));

	// Add an option to enable the preloader
	$wp_customize->add_setting( 
		'home_shifting_services_enable_preloader', 
		array(
		    'default'           => false,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'home_shifting_services_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Home_Shifting_Services_Toggle_Control( $wp_customize, 'home_shifting_services_enable_preloader', 
		array(
		    'label'       => esc_html__( 'Show Preloader', 'home-shifting-services' ),
		    'section'     => 'home_shifting_services_prelodr_settings',
		    'type'        => 'home-shifting-services-toggle',
		    'settings'    => 'home_shifting_services_enable_preloader',
		) 
	));


    // Section Body Typography
    $wp_customize->add_section(
        'home_shifting_services_scrol_settings',
        array(
            'priority'      => 30,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Scroll Top', 'home-shifting-services' ),
            'panel'         => 'home_shifting_services_general_settings_panel',
        )
    );


	// Title label
	$wp_customize->add_setting( 
		'home_shifting_services_scroll_top_settings', 
		array(
		    'sanitize_callback' => 'home_shifting_services_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Home_Shifting_Services_Title_Info_Control( $wp_customize, 'home_shifting_services_scroll_top_settings', 
		array(
		    'label'       => esc_html__( 'Scroll Top Settings', 'home-shifting-services' ),
		    'section'     => 'home_shifting_services_scrol_settings',
		    'type'        => 'home-shifting-services-title',
		    'settings'    => 'home_shifting_services_scroll_top_settings',
		) 
	));

	// Add an option to enable the scrolltop
	$wp_customize->add_setting( 
		'home_shifting_services_enable_scrolltop', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'home_shifting_services_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Home_Shifting_Services_Toggle_Control( $wp_customize, 'home_shifting_services_enable_scrolltop', 
		array(
		    'label'       => esc_html__( 'Show Scroll Top', 'home-shifting-services' ),
		    'section'     => 'home_shifting_services_scrol_settings',
		    'type'        => 'home-shifting-services-toggle',
		    'settings'    => 'home_shifting_services_enable_scrolltop',
		) 
	));

	 $wp_customize->add_section(
        'home_shifting_services_button_settings',
        array(
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Buttons', 'home-shifting-services' ),
            'panel'         => 'home_shifting_services_general_settings_panel',
        )
    );

	 // Border Radius Setting
	$wp_customize->add_setting(
	    'home_shifting_services_button_border_radius',
	    array(
	        'default'           => '5px',
	        'sanitize_callback' => 'sanitize_text_field',
	        'transport'         => 'refresh',
	    )
	);

	$wp_customize->add_control(
	    'home_shifting_services_button_border_radius',
	    array(
	        'type'     => 'text',
	        'label'    => esc_html__( 'Button Border Radius (e.g. 4px, 50%)', 'home-shifting-services' ),
	        'section'  => 'home_shifting_services_button_settings',
	    )
	);

	// Button Padding Setting
	$wp_customize->add_setting(
	    'home_shifting_services_button_padding',
	    array(
	        'default'           => '15px 15px',
	        'sanitize_callback' => 'sanitize_text_field',
	        'transport'         => 'refresh',
	    )
	);

	$wp_customize->add_control(
	    'home_shifting_services_button_padding',
	    array(
	        'type'     => 'text',
	        'label'    => esc_html__( 'Button Padding (e.g. 10px 20px)', 'home-shifting-services' ),
	        'section'  => 'home_shifting_services_button_settings',
	    )
	);


}
endif;

add_action( 'customize_register', 'home_shifting_services_customizer_general_setting_register' );